@import '../../assets/css/colors.scss';

:root {
    --size-width-card: 300px;
    --size-heigth-card: 300px;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.card-wrapper {
    width: var(--size-width-card);
    height: var(--size-heigth-card);
    position: relative;
}

.card {
    position: absolute;
    width: var(--size-width-card);
    height: var(--size-heigth-card);
    overflow: hidden;
    box-shadow: 0 15px 18px rgba(0, 0, 0, 1);
    cursor: pointer;
    border-radius: 50% 50% 60% 60% / 25% 25% 75% 75%;
    transition: 0.5s;
    color: $text;

    .card-image {
        position: absolute;
        z-index: 2;
        background-color: $bg-card;
        transition: .2s;

        .image {
            width: var(--size-width-card);
        }
    }

    &:hover img {
        transition: .7s;
    }
}

.card:hover .card-image {
    transform: translateY(-100%);
    transition: all .7s;
}

.details {
    position: relative;
    background: $bg-card;
    width: 100%;
    height: var(--size-heigth-card);
    z-index: 1;
    padding-top: 2.5rem;
    color: $text;

    h4 {
        padding-bottom: 1rem;
        color: $accent-text;
    }

    .info-items {
        justify-content: center;
        text-align: center;
        font-weight: 300;
        font-size: 1.3rem;
        padding: 0.5rem;
    }
}

.card-click {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 10;
}